| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# ivideo/natwin.h File Reference

Native window manager interface. More...

`#include "csutil/scf.h"`

Go to the source code of this file.

## Classes
struct | iNativeWindow
| This interface represents a native window. More...
struct | iNativeWindowManager
| This interface represents the native window manager system. More...
## Alert types
#define | CS_ALERT_ERROR 1
| Display an error.
#define | CS_ALERT_NOTE 3
| Display a note.
#define | CS_ALERT_WARNING 2
| Display a warning.

## Detailed Description

Native window manager interface.

Definition in file natwin.h.